subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From danie...@apache.org
Subject svn commit: r1877835 - /subversion/site/publish/docs/release-notes/1.14.html
Date Sat, 16 May 2020 22:00:48 GMT
Author: danielsh
Date: Sat May 16 22:00:48 2020
New Revision: 1877835

URL: http://svn.apache.org/viewvc?rev=1877835&view=rev
Log:
* docs/release-notes/1.14.html
  (#autogen_sh-py2-py3): Document the build/find_python.sh issue.  See:
    https://mail-archives.apache.org/mod_mbox/subversion-dev/202005.mbox/%3C0158f2b2-6b30-a018-074a-a5a879c24bc0%40apache.org%3E

Modified:
    subversion/site/publish/docs/release-notes/1.14.html

Modified: subversion/site/publish/docs/release-notes/1.14.html
URL: http://svn.apache.org/viewvc/subversion/site/publish/docs/release-notes/1.14.html?rev=1877835&r1=1877834&r2=1877835&view=diff
==============================================================================
--- subversion/site/publish/docs/release-notes/1.14.html (original)
+++ subversion/site/publish/docs/release-notes/1.14.html Sat May 16 22:00:48 2020
@@ -1264,6 +1264,38 @@ Python, categorized by their Python 3 su
 >Subversion's Python 3 Support Status</a> wiki page.
 </p>
 
+<div class="h4" id="autogen_sh-py2-py3">
+<h4>The build system prefers Python 2 to Python 3
+  <a class="sectionlink" href="#autogen_sh-py2-py3"
+     title="Link to this section">&para;</a>
+</h4>
+
+<p>Although <a href="#pythonoptional">Python is not required for building
+Subversion</a>, it <em>is</em> required for running the test suite, and
+therefore, on Unix-like systems, Subversion's build system looks for a Python
+executable.</p>
+
+<p>The build system checks the environment variables <tt>$PYTHON</tt>,
+<tt>$PYTHON2</tt>, and <tt>$PYTHON3</tt> in this order, followed
by the command
+names <tt>python</tt>, </tt>python2</tt>, and <tt>python3</tt>
(in
+<tt>$PATH</tt>) in this order.  The first of these that is an executable
+implementing Python version 2.7 or greater is used.</p>
+
+<p>Since <a href="#python2">support for Python 2.7 is being phased out</a>,
we
+expect to change this to prefer Python 3 to Python 2.7 in a 1.14.x patch release.
+When we do, we will mention the change in the <tt>CHANGES</tt> file and update
+this section of the release notes.</p>
+
+<p>This affects both tarball builds (using <tt>configure</tt>) and working
copy
+builds (using <tt>autogen.sh</tt>).  The release rolling scripts are also
+affected.</p>
+
+<p>As a workaround, the environment variable <tt>PYTHON</tt> may be set
to the
+full path of a Python 3 executable prior to running <tt>configure</tt> (or
+<tt>autogen.sh</tt>, if you build from a working copy).</p>
+
+</div> <!-- autogen_sh-py2-py3 -->
+
 </div>  <!-- python3-work-in-progress -->
 
 <div class="h3" id="ruby-swig-issue-602">



Mime
View raw message